=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6config-dev (>= 6.6.0~),
@@ -14,7 +14,7 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
