=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libpimcommon-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/libgravatar
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libgravatar
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libgravatar.git
