=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libgravatar
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6config-dev (>= 6.6.0~),
@@ -14,14 +15,14 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libgravatar
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libgravatar
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libgravatar.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libgravatar
 Rules-Requires-Root: no
 
 Package: libgravatar-data
