## libgravatar 25.08.2

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,13 @@
     add_executable(${_name} ${_test} ${_name}.h)
     add_test(NAME ${_name} COMMAND ${_name})
     ecm_mark_as_test(${_name})
-    target_link_libraries(${_name} KPim6::PimCommon Qt::Test KPim6::Gravatar)
+    target_link_libraries(
+        ${_name}
+        KF6::WidgetsAddons
+        Qt::Test
+        KPim6::Gravatar
+        Qt::Network
+    )
 endmacro()
 
 add_gravatar_unittest(gravatarcachetest.cpp)
@@ -15,4 +21,3 @@
 add_gravatar_unittest(gravatardownloadpixmapwidgettest.cpp)
 add_gravatar_unittest(gravatarresolvurljobtest.cpp)
 add_gravatar_unittest(gravatarconfiguresettingswidgettest.cpp)
-
