=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
